package com.blamejared.compat.botania.lexicon.commands;

import crafttweaker.CraftTweakerAPI;
import crafttweaker.mc1120.commands.CraftTweakerCommand;
import crafttweaker.mc1120.commands.SpecialMessagesChat;
import java.util.Iterator;
import net.minecraft.command.ICommandSender;
import net.minecraft.server.MinecraftServer;
import vazkii.botania.api.BotaniaAPI;
import vazkii.botania.api.lexicon.LexiconCategory;

public class LexiconCategoryLogger extends CraftTweakerCommand {
   public LexiconCategoryLogger() {
      super("botlexcats");
   }

   public void executeCommand(MinecraftServer server, ICommandSender sender, String[] arguments) {
      CraftTweakerAPI.logCommand("Botania Lexicon Categories");
      Iterator var4 = BotaniaAPI.getAllCategories().iterator();

      while(var4.hasNext()) {
         LexiconCategory category = (LexiconCategory)var4.next();
         CraftTweakerAPI.logCommand(category.getUnlocalizedName());
      }

      if (sender != null) {
         sender.func_145747_a(SpecialMessagesChat.getLinkToCraftTweakerLog("List generated;", sender));
      }

   }

   protected void init() {
   }
}
